package com.xjrsoft.module.outint.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
* @title: 车辆出入记录分页查询入参
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class CarOutInRecordPageDto extends PageInput {
    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime startTime;
    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime endTime;
    /**
     * 车辆分类
     */
    @ApiModelProperty("车辆分类")
    private  String category;
    /**
     * 过车方向
     */
    @ApiModelProperty("过车方向")
    private  String status;
    /**
     * 车辆类型
     */
    @ApiModelProperty("车辆类型")
    private String vehicleType;

    /**
     * 车主姓名
     */
    @ApiModelProperty("车主姓名")
    private String name;

    /**
     * 手机号码
     */
    @ApiModelProperty("手机号码")
    private String phone;

}
